Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

mac install phonegap failed #4333

Closed
aliptre1911 opened this Issue · 6 comments

6 participants

@aliptre1911

npm ERR! Error: shasum check failed for /Users/ali/tmp/npm-276-etrvQlak/1387276861540-0.603475583018735/tmp.tgz
npm ERR! Expected: dee5a33ff04d7217194dc1ad1342e3a441761942
npm ERR! Actual: ab7d89ca1f31db14db047d01222dd968649cfb50
npm ERR! at /usr/local/lib/node_modules/npm/node_modules/sha/index.js:38:8
npm ERR! at ReadStream. (/usr/local/lib/node_modules/npm/node_modules/sha/index.js:85:7)
npm ERR! at ReadStream.EventEmitter.emit (events.js:117:20)
npm ERR! at _stream_readable.js:920:16
npm ERR! at process._tickCallback (node.js:415:13)
npm ERR! If you need help, you may report this entire log,
npm ERR! including the npm and node versions, at:
npm ERR! http://github.com/isaacs/npm/issues

npm ERR! System Darwin 13.0.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "phonegap"
npm ERR! cwd /Users/ali
npm ERR! node -v v0.10.23
npm ERR! npm -v 1.3.17
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /Users/ali/npm-debug.log
npm ERR! not ok code 0

@aliptre1911 aliptre1911 reopened this
@XigenBen

I'm also getting a similar issue:

npm ERR! Error: shasum check failed for /Users/ben/tmp/npm-679/1387283195492-0.8007621476426721/tmp.tgz
npm ERR! Expected: dee5a33ff04d7217194dc1ad1342e3a441761942
npm ERR! Actual: ab7d89ca1f31db14db047d01222dd968649cfb50
npm ERR! at /usr/local/lib/node_modules/npm/lib/utils/sha.js:29:20
npm ERR! at ReadStream. (/usr/local/lib/node_modules/npm/lib/utils/sha.js:49:5)
npm ERR! at ReadStream.EventEmitter.emit (events.js:117:20)
npm ERR! at _stream_readable.js:870:14
npm ERR! at process._tickCallback (node.js:415:13)
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 13.0.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "phonegap@3.3.0-0.17.1"
npm ERR! cwd /Users/ben
npm ERR! node -v v0.10.0
npm ERR! npm -v 1.2.14
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /Users/ben/npm-debug.log
npm ERR! not ok code 0

@webjohan

Same here.

npm http 200 https://registry.npmjs.org/npm/-/npm-1.3.19.tgz
npm ERR! Error: shasum check failed for /Users/XXXX/tmp/npm-27204-iBBVG5F3/1387284731086-0.8009562958031893/tmp.tgz
npm ERR! Expected: dee5a33ff04d7217194dc1ad1342e3a441761942
npm ERR! Actual: ab7d89ca1f31db14db047d01222dd968649cfb50
npm ERR! at /usr/local/Cellar/node/0.10.22/lib/node_modules/npm/node_modules/sha/index.js:38:8
npm ERR! at ReadStream. (/usr/local/Cellar/node/0.10.22/lib/node_modules/npm/node_modules/sha/index.js:85:7)
npm ERR! at ReadStream.EventEmitter.emit (events.js:117:20)
npm ERR! at _stream_readable.js:920:16
npm ERR! at process._tickCallback (node.js:415:13)
npm ERR! If you need help, you may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com

npm ERR! System Darwin 13.0.0
npm ERR! command "/usr/local/Cellar/node/0.10.22/bin/node" "/usr/local/bin/npm" "install" "npm"
npm ERR! cwd /Users/XXXX/phonegap
npm ERR! node -v v0.10.22
npm ERR! npm -v 1.3.14
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /Users/XXXX/phonegap/npm-debug.log
npm ERR! not ok code 0

@jenniferleveaux

I think it's the same issue as #4331 (Phonegap is a distribution of Cordova)
You need to use another release of npm.
Try this https://registry.npmjs.org/npm/-/npm-1.3.19.tgz
Then extract, make install and npm install -g cordova might works.

@aliptre1911

I've solved it. thank you.

@isaacs
Owner

Duplicate #4329

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.